UR::Object::View::Default::Xml(3pm)

NAME
UR::Object::View::Default::Xml - represent object state in XML format

SYNOPSIS
  $o = Acme::Product->get(1234);

  $v = $o->create_view(
      toolkit => 'xml',
      aspects => [
        'id',
        'name',
        'qty_on_hand',
        'outstanding_orders' => [
          'id',
          'status',
          'customer' => [
            'id',
            'name',
          ]
        ],
      ],
  );

  $xml1 = $v->content;

  $o->qty_on_hand(200);

  $xml2 = $v->content;

DESCRIPTION
This class implements basic XML views of objects. It has standard behavior for all text views.

SEE ALSO
UR::Object::View::Default::Text, UR::Object::View, UR::Object::View::Toolkit::XML, UR::Object::View::Toolkit::Text, UR::Object